%define upstream_name    Test-Pod-Spelling-CommonMistakes
%define upstream_version 1.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Checks POD for common spelling mistakes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Pod::Spell::CommonMistakes) >= 0.10.0
BuildRequires: perl(Test::Builder) >= 0.940.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Pod) >= 1.400.0
BuildArch:  noarch

%description
This module checks your POD for common spelling errors. This differs than
the Test::Spelling manpage because it doesn't use your system spellchecker
and instead uses the Pod::Spell::CommonMistakes manpage for the heavy
lifting. Using it is the same as any standard Test::* module, as seen here.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.1.0-4pclos2017
- rebuild against updates

